package com.goafanti.order.bo;

/**
 * 订单列表
 * @author Administrator
 *
 */
public class OrderListBo {
	/** 订单编号 **/
	private String orderNo;
	/** 订单类型 **/
	private Integer orderType;
	/** 业务品类 **/
	private String projectType;
	/** 订单创建时间 **/
	private String createTime;
	/** 签单时间 **/
	private String signTime;
	/** 合同首付金额 **/
	private String signFirstPayment;
	/** 合同订单金额 **/
	private String signTotalAmount;
	/** 实际付款金额 **/
	private String actuallyTotalAmount;
	/** 买方姓名 **/
	private String buyerName;
	/** 卖方姓名 **/
	private String sellerName;
	/** 订单状态 **/
	private Integer orderStatus;
	/** 结算状态 **/
	private Integer liquidationStatus;
	/** 是否特批 **/
	private Integer approval;
	/** 订单渠道 **/
	private Integer orderChannel;
	/** 营销员 **/
	private String salesmanName;
	/** 财务负责人 **/
	private String financeName;
	/** 技术员 **/
	private String technicianName;
	/** 关联部门名称 **/
	private String departmentName;
	/** 订单阶段 **/
	private Integer orderStage;
	/** 项目阶段 **/
	private Integer projectStage;
	/** 删除、锁定 状态 **/
	private Integer deleteSign;
	/** 卖方 **/
	private String buyerId;
	/** 卖方 **/
	private String sellerId;
	/** 变更状态 **/
	private Integer changeStatus;
	/** 可操作状态 **/
	private OperatorActive active;
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	public String getProjectType() {
		return projectType;
	}
	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getSignTime() {
		return signTime;
	}
	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}
	public String getSignFirstPayment() {
		return signFirstPayment;
	}
	public void setSignFirstPayment(String signFirstPayment) {
		this.signFirstPayment = signFirstPayment;
	}
	public String getSignTotalAmount() {
		return signTotalAmount;
	}
	public void setSignTotalAmount(String signTotalAmount) {
		this.signTotalAmount = signTotalAmount;
	}
	public String getActuallyTotalAmount() {
		return actuallyTotalAmount;
	}
	public void setActuallyTotalAmount(String actuallyTotalAmount) {
		this.actuallyTotalAmount = actuallyTotalAmount;
	}
	public String getBuyerName() {
		return buyerName;
	}
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}
	public String getSellerName() {
		return sellerName;
	}
	public void setSellerName(String sellerName) {
		this.sellerName = sellerName;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public Integer getLiquidationStatus() {
		return liquidationStatus;
	}
	public void setLiquidationStatus(Integer liquidationStatus) {
		this.liquidationStatus = liquidationStatus;
	}
	public Integer getApproval() {
		return approval;
	}
	public void setApproval(Integer approval) {
		this.approval = approval;
	}
	public Integer getOrderChannel() {
		return orderChannel;
	}
	public void setOrderChannel(Integer orderChannel) {
		this.orderChannel = orderChannel;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getFinanceName() {
		return financeName;
	}
	public void setFinanceName(String financeName) {
		this.financeName = financeName;
	}
	public String getTechnicianName() {
		return technicianName;
	}
	public void setTechnicianName(String technicianName) {
		this.technicianName = technicianName;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public Integer getOrderStage() {
		return orderStage;
	}
	public void setOrderStage(Integer orderStage) {
		this.orderStage = orderStage;
	}
	public Integer getProjectStage() {
		return projectStage;
	}
	public void setProjectStage(Integer projectStage) {
		this.projectStage = projectStage;
	}
	public Integer getDeleteSign() {
		return deleteSign;
	}
	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}
	public String getBuyerId() {
		return buyerId;
	}
	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}
	public String getSellerId() {
		return sellerId;
	}
	public void setSellerId(String sellerId) {
		this.sellerId = sellerId;
	}
	public Integer getChangeStatus() {
		return changeStatus;
	}
	public void setChangeStatus(Integer changeStatus) {
		this.changeStatus = changeStatus;
	}
	public OperatorActive getActive() {
		return active;
	}
	public void setActive(OperatorActive active) {
		this.active = active;
	}
}
